Bug 589372 - [abrt] crash in spambayes-1.0.4-9.fc12: __init__.py:355:hashopen:DBNoSuchFileError: (2, 'No such file or directory')
[abrt] crash in spambayes-1.0.4-9.fc12: __init__.py:355:hashopen:DBNoSuchFile...
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: spambayes (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
abrt_hash:980ccbbc
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 20:44 EDT by Peter Gückel
Modified: 2011-06-16 12:27 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-16 12:27:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.64 KB, text/plain)
2010-05-05 20:44 EDT, Peter Gückel
no flags Details

  None (edit)
Description Peter Gückel 2010-05-05 20:44:45 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/sb_filter.py
component: spambayes
executable: /usr/bin/sb_filter.py
kernel: 2.6.33.2-41.fc13.x86_64
package: spambayes-1.0.4-9.fc12
reason: __init__.py:355:hashopen:DBNoSuchFileError: (2, 'No such file or directory')
release: Fedora release 13 (Goddard)

backtrace
-----
__init__.py:355:hashopen:DBNoSuchFileError: (2, 'No such file or directory')

Traceback (most recent call last):
  File "/usr/bin/sb_filter.py", line 257, in <module>
    main()
  File "/usr/bin/sb_filter.py", line 248, in main
    action(msg)
  File "/usr/bin/sb_filter.py", line 179, in filter
    self.open('r')
  File "/usr/bin/sb_filter.py", line 163, in open
    self.h = hammie.open(self.dbname, self.usedb, self.mode)
  File "/usr/lib/python2.6/site-packages/spambayes/hammie.py", line 266, in open
    return Hammie(storage.open_storage(filename, useDB, mode))
  File "/usr/lib/python2.6/site-packages/spambayes/storage.py", line 707, in open_storage
    return klass(data_source_name, mode)
  File "/usr/lib/python2.6/site-packages/spambayes/storage.py", line 186, in __init__
    self.load()
  File "/usr/lib/python2.6/site-packages/spambayes/storage.py", line 211, in load
    self.dbm = dbmstorage.open(self.db_name, self.mode)
  File "/usr/lib/python2.6/site-packages/spambayes/dbmstorage.py", line 65, in open
    return f(db_name, mode)
  File "/usr/lib/python2.6/site-packages/spambayes/dbmstorage.py", line 38, in open_best
    return f(*args)
  File "/usr/lib/python2.6/site-packages/spambayes/dbmstorage.py", line 20, in open_dbhash
    return bsddb.hashopen(*args)
  File "/usr/lib64/python2.6/bsddb/__init__.py", line 355, in hashopen
    d.open(file, db.DB_HASH, flags, mode)
DBNoSuchFileError: (2, 'No such file or directory')

Local variables in innermost frame:
lorder: None
e: <DBEnv object at 0x235be48>
d: <DB object at 0x22f1c00>
flag: 'r'
ffactor: None
pgsize: None
flags: 1040
mode: 438
file: '/home/me/.hammiedb'
cachesize: None
nelem: None
hflags: 0

How to reproduce
-----
1. This occurs every time an email is received from a pop server, one error for each email.
2.
3.
Comment 1 Peter Gückel 2010-05-05 20:44:46 EDT
Created attachment 411771 [details]
File: backtrace
Comment 2 Peter Gückel 2010-06-09 14:36:30 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
I opened kmail and an email arrived. I get a spambayes crash for each message received, everyday, since weeks.
Comment 3 Brian Armstrong 2010-06-18 11:03:12 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.  Start either kmail or Kontact from KDE office applications.
2.  Choose spambayes as part of spam detection in kmail preferences, use Tools menu and then select "Anti-Spam Wizard" to make the choice.
3.  Use kmail to retrieve email.


Comment
-----
Have de-selected "spambayes" for spam detection, yet, it continues to cause the spambayes module to start and crash.  And, yes, it crashed when it was the only chosen spam detection application.
Comment 4 mray271 2010-06-26 15:58:25 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Kontact->Kmail
2.
3.


Comment
-----
Just starting Kontact from the Applications->Office menu is sufficent to produce error.
Comment 5 mray271 2010-07-06 13:11:39 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Start Kontact
2.Upon start of Kmail you see theDBNoSuchFileError and sapmbayes crashes
3.


Comment
-----
There is a work around that seems to fix the problem. 
By creating an empty file . in user's home directory (e.g. touch ~/.hammiedb) seems to stop the crashes from occuring in subsequent restarts of kontact.
Comment 6 Peter Gückel 2010-07-06 18:28:15 EDT
(In reply to comment #5)
> Package: spambayes-1.0.4-9.fc12
> Architecture: i686
> OS Release: Fedora release 13 (Goddard)
> 
> 
> How to reproduce
> -----
> 1. Start Kontact
> 2.Upon start of Kmail you see theDBNoSuchFileError and sapmbayes crashes
> 3.
> 
> 
> Comment
> -----
> There is a work around that seems to fix the problem. 
> By creating an empty file . in user's home directory (e.g. touch ~/.hammiedb)
> seems to stop the crashes from occuring in subsequent restarts of kontact.    

Well, I always had a .hammiedb file, but it is not empty and I don't know which program uses the file.

Nevertheless, since about 2 days or so, the problem appears to have disappeared, I think (haven't received lots of mail this weekend). All I did was upgrade to kde 4.4.90.
Comment 7 Dj YB 2010-07-08 14:25:17 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
I didn't do anything.
Comment 8 James Burns 2010-07-25 04:26:17 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Set up Spambayes
2.Set up GMAIL
3.


Comment
-----
Retrieving mail via GMAIL
Comment 9 James Burns 2010-07-25 13:40:40 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Start up Kmail
2.Retrieving GMAIL
3.


Comment
-----
Retrieving mail via GMAIL, but with Spamassassin selected
Comment 10 James Burns 2010-07-25 19:15:12 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Start up Kmail
2.Retrieving GMAIL
3.


Comment
-----
Retrieving mail via GMAIL, but with Spamassassin selected
Comment 11 Fedora Admin XMLRPC Client 2010-08-21 14:16:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Mohammed Arafa 2010-11-02 00:02:06 EDT
Package: spambayes-1.0.4-9.fc12
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. i used my .kde directory from an old installation on a fresh new installation
2.
3.
Comment 13 Barry Godusky 2010-11-15 16:33:27 EST
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.I had Kmail open for 1/2 an hour and then clicked on checkmail.
2.
3.


Comment
-----
Open kmail, leave open for 1/2 an hour and click on check mail. This has happened 3 times so far and is easily reproduced. I just have everything at the default settings
Comment 14 Barry Godusky 2010-11-19 18:28:30 EST
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Just opening Kmail and the bug reporter catchs this error
Comment 15 Barry Godusky 2010-11-20 14:33:45 EST
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
Happens everytime I open Kmail
Comment 16 Hare Krishna Kumar 2011-01-27 01:03:19 EST
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. As soon as I start downloading email this crash happens.
2.
3.
Comment 17 Mal 2011-01-30 04:50:55 EST
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Unsure
2.
3.


Comment
-----
unsure
Comment 18 Mal 2011-01-30 21:30:11 EST
Package: spambayes-1.0.4-9.fc12
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Starting KMail
2.
3.


Comment
-----
unsure
Comment 19 Bug Zapper 2011-06-02 10:26:57 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Peter Gückel 2011-06-16 12:27:38 EDT
end of life. closed

Note You need to log in before you can comment on or make changes to this bug.